Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.common
Class LooselyBoundedCacheableAdapter

    java.lang.Object
      oracle.ifs.common.LooselyBoundedCacheableAdapter

All Implemented Interfaces:
  LooselyBoundedCacheable

    public class LooselyBoundedCacheableAdapter

extends java.lang.Object
implements LooselyBoundedCacheable

A LooselyBoundedCacheableAdapter implements LooselyBoundedCacheable with a generic implementation.

(Published)

Constructor Summary
`LooselyBoundedCacheableAdapter()`

Method Summary
`void` | `added(java.lang.Object id)` Called when an instance is added to the cache.
`boolean` | `canPurge()` Gets whether the item can be purged from the the BoundedCache.
`void` | `removed(java.lang.Object id)` Called when an instance is removed to the cache.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LooselyBoundedCacheableAdapter

    public LooselyBoundedCacheableAdapter()

Method Detail

### canPurge

    public boolean canPurge()
                     throws IfsException

  Description copied from class: `LooselyBoundedCacheableAdapter`
  Gets whether the item can be purged from the the BoundedCache.

  The caller of this method indicates a desire to purge the object. The implementation should treat this as a purge request, but can return false if the item should not be purged.

  Specified by:
    `canPurge` in interface `LooselyBoundedCacheable`
  Returns:
    whether the item can be purged.
  Throws:
    `IfsException` - if operation fails.

### added

    public void added(java.lang.Object id)

  Description copied from class: `LooselyBoundedCacheableAdapter`
  Called when an instance is added to the cache.

  Specified by:
    `added` in interface `LooselyBoundedCacheable`
  Parameters:
    `id` - the id used for this entry in the cache

### removed

    public void removed(java.lang.Object id)

  Description copied from class: `LooselyBoundedCacheableAdapter`
  Called when an instance is removed to the cache.

  Specified by:
    `removed` in interface `LooselyBoundedCacheable`
  Parameters:
    `id` - the id used for this entry in the cache

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD